Smart DBViewer

Cellica Software Services
http://www.cellica.com

Introduction

Think of the time when you had created databases on your computer and wanted to view it on your Smart Phone when you are away from your computer. Database Viewer will help you to view the contents of your desktop databases like MS Access, FoxPro, dBase, Excel and any ODBC Compliant Database like Oracle, SQL Server on Smart Phone.

It has two components: One works on Microsoft Windows based Computer and other on Smart Phone. Use the Windows program to convert your database tables into .pdb format which Smart Phone program understands.

Install that .pdb on Smart Phone, start DBViewer and you can view the contents of the .pdb file.

Features

Database Viewer has features, which help you carry the data with you on your Smart Phone. You can view the records of your database tables in a grid of rows and columns or one at time. And, The most useful feature in Database Viewer is that you can perform SQL queries on the database to build the PDB contents. You can write SQL Select query to create a pdb having contents of two or more tables based on desired relationships
    1. Supported formats: MS Access, Oracle, FoxPro, dBase, MS Excel and any ODBC Compliant Database.
    2. Apply SQL Select queries on database to purify records by adding filter build the view.
    3. View records either “all at a time” or “a single record at a time”.
    4. Search for keywords within a database.
    5. All operations can also be performed via numpad keys on Mobile. For more information look Shortcut keys.


How to use Smart Database Viewer

This section will explain how to use Microsoft Windows desktop and Smart Phone components of Database Viewer by discussing one example. Suppose you have one Access database named: NWIND.mdb having tables named Employee, Customers, and Products in it. You wanted to view the contents of theses databases on Mobile. How to do it?

Please follow the steps below:

Remember, Evaluation version generate pdb with 5 records only.

First make sure that you had installed Database Viewer application properly. If you have not installed it yet, run the SmartDBViewer.exe. Setup program ask you where to install application and Smart Phone Owner Name to use for registration information. After installation is over you can sync to bring Database Viewer on Smart Phone.

Open Desktop Application

Run desktop SmartDBViewer.exe program. You will see the following screen.

Database Selection

In Connection to Database section, Click on Browse button to select file of type: Access, FoxPro, dBase or Excel or click on popup provided to select database via Database Source (DSN). You will see list of available Database Source Name. You can manage DSN via ODBC Data Source Manager in Control Panel.
For now, click on Browse button. You will see screen as follows.

Select database of your choice, say NWIND.mdb, and click Open. Database Viewer will display tables in NWIND.mdb as below.

Note: When you select an Excel file using Browse button, you will get a dialog prompt as

Here, when you select "View As Excel Worksheet", contents will be shown similar to that of Excel Worksheet. Where as, when you select "View as ODBC Database", it will be treated as a database. In this case customized SQL queries will work on your spreadsheet.

Table/Field Selection

NWIND.mdb has tables namely: Employees, Orders and Products etc. Select tables say Employees. You can select multiple tables by check marking while selecting table names. By default, all the fields are selected

You can select/Unselect fields from window below the Table list window. As you perform these operations, query window below field List changes automatically.

Apply Filters

If you want to get filtered records, Click on Filters button. You will see following screen.

Apply your filters to different available fields. Use appropriate operators and filter values. Remember, filter values must be proper as per data type of selected fields. Press Help, ? for more information on filters.

Apply Sort Orders

If you want to get sorted records, Click on Sort Order button. You will see following screen.

Apply sort orders to different available fields. You can order fields in ascending or descending order.

Content Preview

Now Press Preview button to access the records based on query available in query window. You will see something as follows:

You can optimize this output to the extent you want by specifying select query in the query window.

PDB Generation & Transfer

DBViewer provides two ways to transfer desktop database contents on Smart Phone:

  • Automatic Transfer: To transfer database contents automatically, connect your Smart Phone to desktop, and Click on Install button in Save or Install Database section shown in above figure.

    • Note: Please ensure that you have connected your Smart Phone before generating pdb otherwise your pdb will not be transferred to your mobile device and then you need to regenerate this pdb..

  • Manual Transfer: To transfer database (pdb) manually, click on Save As and select path/pdb name where you want to store this database on desktop. After saving it you can copy this pdb on your smart phone at \My Documents using explorer or any other method.

If you want to transfer this database contents at location on smart phone other than default location, change device storage path Mobile database Path. In above figure click on "..." and set the path of device where you want to store data.

Note: To set path of device's default storage drive use prefix \IPSM\ followed by folder name. To store data on external Memory Card use prefix \MMC\ followed by folder path of memory card.


How to use Smart Database Viewer

Now we will see, How to view the generated .pdb with DBViewer on Smart Phone

Open Smart DBViewer

Start Smart Database Viewer. Your Smart Phone screen will look like as follows:

Available Menu

Select Menu and screen will look like as follows:

Fig: Menu options

Shortcut Keys

It has various options to choose from. Open will let your open pdb file for viewing. To alter between All records at once and Record at a time mode, select All or Record option. To close application, select Quit. We also provided shortcut keys to perform these operations as well. Following figure describes those keys:

Fig: Shortcut Keys

View Database List

Now Select Menu > Open or Numpad 1 to open pdb file.

Fig. PDB List

View Database Contents

Now Select pdb you want to view and Press OK. Pressing OK button will open the pdb database. Now you are able to view it in Record at a time mode or All records at once. You can also view specific field in detail mode by pressing Detail. Following figures describes All, Record and Detail modes.

Fig: All records at once

Fig: Record at a time

Fig: Field detail

Finding Keywords

To search a particular string within a single table, you can use "Find" and "Find Again" from menu.

Fig: Search record

Here while searching you need to enter a search string. You can search within all fields of a table or within a selected single field. Search can be case sensitive. "Field Begins with..." option searches specified string at the start of each field. You can search for numeric, string, date, time or any other type of field depending on its display format in record view.


How to use Smart Database Viewer

Supported Data Types

Currently Database Viewer supports following data types.
  1. Memo, Char, VarChar2
  2. Number of type: Byte, Decimal, Integer, Long Integer, Single, Real, Float, Double
  3. GUID
  4. Date/Time
  5. AutoNumber of type: Long Integer
  6. Yes/No
  7. Hyperlink
  8. Currency

Buy Now

Product URL

http://www.cellica.com/smartdbviewer.htm

Contacting Cellica

You can refer to the following mail addresses to contact us:
  • Product support
    support@cellica.com
  • General inquiries
    info@cellica.com
  • Sales inquiries
    sales@cellica.com
    •